import { InstallTarget } from './scan-imports.js';
export interface DependencyLoc {
    type: 'JS' | 'ASSET';
    loc: string;
}
export interface InstallOptions {
    destLoc: string;
    include?: string;
    isCleanInstall?: boolean;
    isStrict?: boolean;
    isOptimized?: boolean;
    isBabel?: boolean;
    hasBrowserlistConfig?: boolean;
    isExplicit?: boolean;
    namedExports?: {
        [filepath: string]: string[];
    };
    remoteUrl?: string;
    remotePackages: [string, string][];
    sourceMap?: boolean | 'inline';
    dedupe?: string[];
}
export declare function install(installTargets: InstallTarget[], { isCleanInstall, destLoc, hasBrowserlistConfig, isExplicit, isStrict, isBabel, isOptimized, sourceMap, namedExports, remoteUrl, remotePackages, dedupe, }: InstallOptions): Promise<boolean>;
export declare function cli(args: string[]): Promise<void>;
